############################################################
#
# type definition pro_declaration_component_rm
#
# RESPONSIBLE: German Cancio <German.Cancio@cern.ch>
#
# AUTHOR: Novak Judit <judit.novak@cern.ch>
#
# VERSION : 0.1.12
#
############################################################

declaration template pro_declaration_component_rm;

include pro_declaration_structures;
include pro_declaration_types;

define type component_rm = {
	include structure_component
	"edglocation"      ? string
	"localdomain"      ? string
	"defaultse"        ? type_hostname
	"defaultce"        ? type_hostname
	"infoservice"      ? string with (match(self,"MDS|RGMA"))
	"rlsmode"          : string with (match(self,"LrcOnly|WithRli"))
	"stubfile"         ? string
	"mdshost"          ? type_hostname
	"mdsport"          ? long with (self>0)
	"failifnoros"      ? boolean
	"confgcc"          ? string
        "ignoreprefix"     ? boolean
	"gftpdcau"         : boolean
        "gftpstreamssmall" : long with (self>0)
	"gftpstreamsbig"   : long with (self>0)
        "gftpfsizetshold"  : long with (self>0)
};

type "/software/components/rm" = component_rm;


